libkf5configcore5_5.44.0-0ubuntu1.1_amd64.deb


Advertisement

Description

libkf5configcore5 - configuration settings framework for Qt

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename libkf5configcore5_5.44.0-0ubuntu1.1_amd64.deb
Package name libkf5configcore5
Package version 5.44.0
Package release 0ubuntu1.1
Package architecture amd64
Package type deb
Category universe/libs
Homepage https://projects.kde.org/projects/frameworks/kconfig
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 109.84 KB
Installed size 425.00 KB
KConfig provides an advanced configuration system. It is made of two
parts: KConfigCore and KConfigGui.
KConfigCore provides access to the configuration files themselves. It
features:
- centralized definition: define your configuration in an XML file
and use `kconfig_compiler` to generate classes to read and write
configuration entries.
- lock-down (kiosk) support.
This package is part of KDE Frameworks 5.
This package contains KConfigCore.

Alternatives

Package Version Architecture Repository
libkf5configcore5_5.47.0-0ubuntu2~ubuntu18.04~ppa3_i386.deb 5.47.0 i386 Kubuntu Backports
libkf5configcore5_5.47.0-0ubuntu2~ubuntu18.04~ppa3_amd64.deb 5.47.0 amd64 Kubuntu Backports
libkf5configcore5_5.44.0-0ubuntu1.1_i386.deb 5.44.0 i386 Ubuntu Updates Universe
libkf5configcore5_5.44.0-0ubuntu1_i386.deb 5.44.0 i386 Ubuntu Universe
libkf5configcore5_5.44.0-0ubuntu1_amd64.deb 5.44.0 amd64 Ubuntu Universe
libkf5configcore5 - - -

Requires

Name Value
libc6 >= 2.14
libkf5config-data = 5.44.0-0ubuntu1.1
libqt5core5a >= 5.9.0~beta
libstdc++6 >= 4.1.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkf5configcore5_5.44.0-0ubuntu1.1_amd64.deb
Source Package kconfig

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkf5configcore5 deb package:
    # sudo apt-get install libkf5configcore5

Changelog

2019-08-09 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.44.0-0ubuntu1.1) bionic-security; urgency=medium
* SECURITY UPDATE: malicious .desktop files (and others) would execute
code (LP: #1839432).
- debian/patches/CVE-2019-14744.diff: removes the affected feature as
currently 'unused'.
- CVE-2019-14744
2018-03-12 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.44.0-0ubuntu1) bionic; urgency=medium
* New upstream release (5.44.0)
2018-02-11 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.43.0-0ubuntu1) bionic; urgency=medium
* New upstream release (5.43.0)
2018-01-26 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.42.0-0ubuntu1) bionic; urgency=medium
* New upstream release (5.42.0)
2017-12-10 - Walter Lapchynski <wxl@ubuntu.com>
kconfig (5.41.0-0ubuntu1) bionic; urgency=low
* New upstream release (5.41.0)
2017-11-24 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.40.0-0ubuntu1) bionic; urgency=medium
* New upstream release (5.39.0)
* New upstream release (5.40.0)
2017-09-11 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.38.0-0ubuntu1) artful; urgency=low
* New upstream release (5.38.0)
2017-08-12 - Rik Mills <rikmills@kubuntu.org>
kconfig (5.37.0-0ubuntu1) artful; urgency=medium
* New upstream release (5.37.0)
* Update symbols from build logs
2017-07-11 - José Manuel Santamaría Lema <panfaust@gmail.com>
kconfig (5.36.0-0ubuntu1) artful; urgency=low
* New upstream release (5.36.0)
2017-06-12 - José Manuel Santamaría Lema <panfaust@gmail.com>
kconfig (5.35.0-0ubuntu1) artful; urgency=low
* New upstream release (5.35.0)

See Also

Package Description
libkf5configgui5_5.44.0-0ubuntu1.1_amd64.deb configuration settings framework for Qt
libkf5screen-bin_5.12.8-0ubuntu0.1_amd64.deb library for screen management - helpers
libkf5screen-dev_5.12.8-0ubuntu0.1_amd64.deb library for screen management - development files
libkf5screen7_5.12.8-0ubuntu0.1_amd64.deb library for screen management - shared library
libkf5sysguard-bin_5.12.8-0ubuntu0.1_amd64.deb library for monitoring your system - shared library
libkf5sysguard-data_5.12.8-0ubuntu0.1_all.deb library for monitoring your system - shared library
libkf5sysguard-dev_5.12.8-0ubuntu0.1_amd64.deb library for monitoring your system - development files
libkf5sysguard5-data_5.12.8-0ubuntu0.1_all.deb transitional dummy package
libkf5sysguard5_5.12.8-0ubuntu0.1_all.deb transitional dummy package
libkfile4_4.14.38-0ubuntu3.1_amd64.deb File Selection Dialog Library for KDE Platform
libkfontinst5_5.12.9.1-0ubuntu0.1_amd64.deb Tools and widgets for the desktop library
libkfontinstui5_5.12.9.1-0ubuntu0.1_amd64.deb Tools and widgets for the desktop library
libkhtml5_4.14.38-0ubuntu3.1_amd64.deb KHTML Web Content Rendering Engine
libkidletime4_4.14.38-0ubuntu3.1_amd64.deb library to provide information about idle time
libkimproxy4_4.14.38-0ubuntu3.1_amd64.deb Instant Messaging Interface Library for the KDE Platform
Advertisement
Advertisement